network settings indicator missing from panel

Bug #1308348 reported by Lars Noodén on 2014-04-16
546
This bug affects 109 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Unassigned
lxsession (Ubuntu)
High
Julien Lavergne
Trusty
High
Julien Lavergne
xfce4 (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

SRU statement :
[Impact]

 * This bug prevents programs from /etc/xdg/autostart to actually autostart at login. It means programs like nm-applet (the network applet on the panel), update-notifier … are affected and have to be manually start to work properly.

* The patch (90_fix_autostart.patch, attached to the bug report) fix 2 relative problems, that why there are both included :
- xdg-autostart/xdg-autostart.c : Correctly select the desktop file which is in the higher directory in system directories.
- other files : Create an executable instead of using a vapi, to read correctly environment variable to set system directories.

[Test Case]

* Install a fresh 14.04 Lubuntu
* Boot the new system
* See that nm-applet is not started and it's not displayed on the panel
* (optional) using lxtask, see that update-notifier is also not started

[Regression Potential]

 * I can't see any regressions, the actual behavior is broken on an installed system. On a live ISO, it should be tested to see if the light-locker is correctly disable, without removing all the autostarted applications.

 * The fix is available on a PPA since several weeks. The worst feedback we had with this fix is that it doesn't seem to work (in this case, I think the user is affected by another bug, not relative). We had also several good feedbacks about this fix.

[Other Info]

* This bug is priority 1 for Lubuntu 14.04.1

Changelog :
lxsession (0.4.9.2+git20140410-0ubuntu1.1) trusty-proposed; urgency=medium

  * debian/patches:
   - 90_fix_autostart.patch: Fix autostarting applications from system
     directories (LP: #1308348).
  * debian/lxsession.install:
   - Install lxsession-xdg-autostart new excecutable.

 -- Julien Lavergne <email address hidden> Sat, 07 Jun 2014 16:31:46 +0200

Original bug report :
The network settings indicator is missing from the panel.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: lxpanel 0.6.1-0ubuntu3
ProcVersionSignature: Ubuntu 3.13.0-24.46-powerpc-smp 3.13.9
Uname: Linux 3.13.0-24-powerpc-smp ppc
ApportVersion: 2.14.1-0ubuntu3
Architecture: powerpc
Config_System_Lubuntu:
 [Command]
 FileManager=lxsession-default filemanager
 Terminal=lxsession-default terminal
 Logout=lxsession-default quit
CurrentDesktop: LXDE
Date: Wed Apr 16 09:42:50 2014
InstallationDate: Installed on 2014-04-16 (0 days ago)
InstallationMedia: Lubuntu 14.04 LTS "Trusty Tahr" - Release powerpc (20140416)
SourcePackage: lxpanel
UpgradeStatus: No upgrade log present (probably fresh install)

Lars Noodén (larsnooden) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1308348

tags: added: iso-testing
Paul White (paulw2u) on 2014-04-16
tags: added: amd64
Changed in lxpanel (Ubuntu):
status: New → Confirmed
Julien Lavergne (gilir) wrote :

I'm preparing a fix in https://launchpad.net/~gilir/+archive/updates (currently building). In the meantime, you should be able to start it manually by launching nm-applet in a terminal

Changed in lxpanel (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
Norbert (asterix52) wrote :

The new lx-session from the PPA didn't fix the problem for me. Only this works:

desktop:~$ sudo nm-applet
nm-applet-Message: using fallback from indicator to GtkStatusIcon

amjjawad (amjjawad) on 2014-04-18
tags: added: i386
amjjawad (amjjawad) wrote :

I confirm I'm also affected by this bug. Glad to see a quick response from Julien ;)

I did as suggested to run it from LXTerminal but I still can NOT connect to my wireless network. Need to figure out what is wrong ...

Norbert (asterix52) wrote :

From the lubuntu mailing list:

I am starting nm-applet without sudo from
~/.config/lxsession/Lubuntu/autstart however, it asks no more for a
password when I modify network settings.

This works for me to.

wjbmd48 (wb-8) wrote :

Hmm, the nm-applet trick works, but only sort of: I get the icon back, and i can now see my wireless networks, but it doesn't ask me for the wireless encryption code, so it doesn't log on.

I assume I'll stay posted to this thread.

And a big thanks to Julien, wherever you are!!

Bill

metrancya-1404 (metrancya) wrote :

Maybe this helps: I came from 13.10 to 14.04 (upgrade path) and after upgrading I was left with Kernel 3.11 (no upgrade to 3.13). The wireless network worked for me after a reboot.

Then I updated from Kernel 3.11 to the generic kernel 3.13 as supplied by 14.04 and after I rebooted I didn't have wireless network access anymore. And no network indicator.

Could give a hint what is going on here...

Alin Andrei (nilarimogard) wrote :

@Norbert: did you previously start nm-applet with sudo? If so, then probably some permissions were changed and that's why it doesn't work properly any more. Because I've added it to startup from the start, I never ran it with sudo and it works just fine here.

Fen Labalme (fen-openprivacy) wrote :

xubuntu 13.10 -> 14.04 - affects me, too, and nm-applet doesn't work for me without sudo.

Also , where the network monitor was, now I have an IBus applet.

metrancya-1404 (metrancya) wrote :

As I wrote above, the problems started during the upgrade from 13.10 --> 14.04 but not before the upgrade from kernel 3.11 (as in saucy) to 3.13 (as in trusty). Kernel 3.11 from 13.10 works under 14.04 without problems!

While the lsmod output states that all relevant kernel modules (ath/athk5/mac80211/cfg80211) are loaded for both kernels, 3.11 & 3.13, the dmesg output for kernel 3.13 shows me fewer entries for all these four modules. That could point to some incorrect interplay between different kernels and general configuration settings...

What is the workaround for me:
1. press the "Shift" key during boot to unhide the grub boot menu.
2. Select from the Grub boot menu the entry for kernel 3.11
3. Go (with network, network applet and all indicators now being present).

That could provide some first aid for desperate upgraders that come from 13.10 to 14.04 having the same problem. It obviously will not help in the case of a fresh 14.04 install...

Phill Whiteside (phillw) wrote :

http://www.webupd8.org/2014/04/fix-lubuntu-1404-network-manager.html has a nice workaround , it did take two reboots for it to work ( after installing it decided not to want to connect to my WiFi router) I rebooted the router and then my machine... all went well :)

metrancya-1404 (metrancya) wrote :

Update from my side (see my contributions above): after several successful starts with kernel 3.11 instead of 3.13 I experienced a completely new and unexpected behavior: the WiFi device was switched off by software during boot and wasn't available anymore, even after a reboot. I had to go to the BIOS (old non-UEFI BIOS) to switch it "on" again. After another reboot the device was switched off again during the boot phase and wasn't visible anymore during subsequent boot processes so I had to go to the BIOS again only to find that the BIOS "WiFi" entry was switched "off" again. So I had to modify its WiFi settings back to "on" (I have no hardware killswitch for the WiFi, only a WiFi switch in the BIOS). That was reproducible several times.

Finally I switched back to kernel 3.13 (standard Trusty kernel), rebooted again - and suddenly everything worked - from the now visible lxpanel indicator to the network - fine everything.

What for a strange behavior: a software that changes killswitch BIOS entries during boot??? Is that allowed at all?

So for me to conclude on all this: sporadically I have WiFi, sporadically I don't have. In the latter case obviously the lxpanel is missing as well. The software alters the BIOS and I really cannot find out why it does so. For me the observed behavior seems to be a lowlevel (NetworkManager? / kernel module? ) problem rather than that of the lxpanel...

quarx (samson-sap) wrote :

I am using Xubuntu, running sudo nm-applet works but this does not let me save my configured VPN password, all was working ok before 14.04 upgrade. this is not a fresh install, but an upgrade from 13.10 > 14.04

Norbert (asterix52) wrote :

@quarx

You should look at this bug: https://bugs.launchpad.net/ubuntu/+source/xfce4-panel/+bug/1302462

This bug here is for Lubuntu and not Xubuntu.

SignedAdam (signedadam) wrote :

I have this problem to

I did a clean install of Lubuntu 14.04, and it affects me as well.

h.v.d.lagemaat (lagemaat52) wrote :

I did an install of the beta version lubuntu 14.04 of approx 2 weeks ago. I do not have a version number of this one. Dont know where to find it.
Wifi worked perfectly, also during installation.
But the update of some days ago, did make the wifi and indicator at the bottom disapear. no more internet.
Also another network programme, that was installed, could not make a wifi connection .
Today again I made a new installation with the same disk, and wifi and indicator is perfect again, until the upgrade.
Same story, every wifi connection
 is gone.

Maybe the new kernel is causing all this, when it is included in the update of approx 5 days ago.
what is suggested by metrancya

John Little (john-b-little) wrote :

I did a clean install of Lubuntu 14.04 i386, and it affects me as well.

Starting nm-applet works. Using sudo is not good, ~/.dbus and ~/.cache can become owned by root.

However, this may be have something to do with wireless problems during the install. In my first install attempt I selected "connect to wireless later" and this gave a Lubuntu with no wireless capability which resisted all my attempts to set it up. It did not admit to the existence of wireless connections. I could "ifconfig wlan0 up" but the DE had nothing. Several attempts selecting the wireless AP and typing the password failed, the next "preparing to install" screen would have an x by the connected to internet line. The attempt that succeeded paused for 10 minutes after clicking connect, and I was prompted for the wireless password several times during the install. A Lubuntu 13.10 install on the same hardware (a USB Realtek 8188) had rock solid wireless, completely painless.

xdya (xdya57) wrote :

I have this problem on two computers after upgrading to 14.04. On one I can't even start the nm-applet from the terminal or otherwise.

Benji (benjim) wrote :

Same here with xfce and 14.04
nm-applet is shown as running process (ps ax), but no icon is shown.
Starting it with sudo (sudo nm-applet) make the icon appear.

INHO: Since it affects several distributions, the affected packed should be changed to "nm-applet" and not "lxpanel", hence the same issu doesn't need to have the same bug-report just with other distributions and panel-packages

Manuel Dias (meldias369) wrote :

I also have the same problem with a fresh Lubuntu 14.04 i386 install on a netbook HP mini 110 1140ep.
My wifi card is a BCM 4312. It worked well on Lubuntu 13.10.

I enabled the broadcom driver

The icon on the tray did not show so I open up the panel settings and added the network manager (I think this how it is called in english, I use it in a different language). Two icons appeared, 1 for the wired network which worked without problems and a 2nd for wifi. It showed the SSID available, asked me to type the password but nothing happened.

After reading some tweaks I had no luck so I tried "try lubuntu option" to evaluate if it was an upgrade problem. Same thing happened. Enabling the driver, no icon, just the 2 icons when I added them to the panel and the same behaviour remained.

Just for the sake of a test I tried UBUNTU 14.04, it is heavy on the hardware but I want to give it a try. It worked flawlessly.

I am not experienced enough to provide any more help.

Hayden Skinner (skinnertech71) wrote :

This is What worked for me....

sudo apt-get install wicd

sudo apt-get purge network-manager-gnome

Jorge Candela (cegroj) wrote :

I have found the exact same problem than Manuel Dias (#24) but within a Samsung N150 Plus netbook.

A Lubuntu 13.10 install on the same hardware (Broadcom BCM4313) had solid wireless.

I was not able to get any wireless switched on again, no matter wich trick o change I tried.

But finally Hayden Skinner advice (#25) allowed me to get wireless on again. It works nicelly again but with the wicd interface which you have to start from the main Internet menu to configure it the first time.

Hayden Skinner (skinnertech71) wrote :

Glad to be of assistance Jorge ! this is what the open source community is all about! Lubuntu runs well on My new
windows 8 Asus laptop..well its not windows 8 any more! with secure boot enabled! UEFI ! runs super fast now..thanks to all the hard work of the DEVs.

Jorge Candela (cegroj) wrote :

Thanks Hayden.

Unfortunatelly I have to say that despite it was working, suddenly broke again. Now wicd get stucked at validating (with wpa wireless) or obtaining ip (with open wireless) and never goes forward. Important to say that it happened without changing any configuration at all.

It was working, and just decided by itself to stop working. And now it is imposible for me to fix it. I have lost wireless connection again.

It's really anoying and, at least in my case, give me no chance to use the laptops where I have installed lubuntu because they usually are intended to work always with wireless lans.

Jorge Candela (cegroj) wrote :

Again, it "looks like" it is working. This is what I have finally done:

- reinstall a fresh copy of Lubuntu 14.04 without updating software. Just the installed image version. At this point there is no wireless network.
- as a user (NO ROOT) you can open console and type "nm-applet". Network icon appears and allow you to select a wireless and to connect and use it. This is what is pointed out around the first comments of this thread but it was not working for me until I reinstalled the system (I was trying to recover a full upgrade from 13.10).
- at this point you can close the console if you wish. Network icon disappears but wireless keep on going.
- then I have performed a "apt-get upgrade" expecting to get into trouble but it still works as stated.
- Now, it would be the right time to follow Hayden advice and install wicd to get rid of the nm-applet command every time lubuntu boot up. But I need it working right now and I'm going to keep it as it is for a few days before trying it again. However it should work as Hayden suggested.

I'm not wise enough to know why this is happening but I hope my experience will save time to those who get here trying to switch their wireless on again.

Walter Lapchynski (wxl) wrote :

i've been kind of keeping quiet about this one because it's no big deal to add @nm-applet to ~/.config/lxsession/Lubuntu/autostart not to mention the fact i use awesome as a window manager so i don't really care if the icon doesn't fit the Lubuntu theme (in fact, i kind of prefer the colored icons with the theme i'm using in awesome), but i have to wonder something.

the icon that i get with the above is the standard icon (not the Lubuntu one) and again, i prefer that, so i'm not about to perform the workarounds to get the Lubuntu one, but selecting wireless APs is no problem, nor is editing or adding new APs. since i've seen complaints about being unable to do this, if you use the gnome icon instead of the Lubuntu icon, does it work then?

also, wicd is not really a good acceptable workaround, IMHO. it's kind of bloaty, at least for my tastes.

Hayden Skinner (skinnertech71) wrote :

So It still works for me ..How ever some AP's don't. very strange indeed. I connects then boots me after a few seconds on some AP's. not sure why..about ready to try Fedora again. I post a fix if I figure out something better..

peace

Manuel Dias (meldias369) wrote :

To Jorge Candela and Hayden Skinner

Thank you very much for the feedback.

I didn't mention before (#25) to avoid lengthy posts but I can add the following:

I always upgrade by making a fresh install no matter the distro.

Some of the workarounds that I have tried:

- Tried to add nm-applet to startup
- Tried to modify a file (which I cannot recall now) change some settings that said NoShowIn KDE; LXDE by removing the LXDE
- sudo apt-get purge network-manager-gnome
- sudo apt-get clean
- sudo apt-get install wicd

- Try to run in live mode.

In all above I tried enable/disable the broadcom driver

All of these were useless.

I have to say that I did not follow the Jorge's method #29 yet, because the Ubuntu 14.04 is running well, although the netbook is almost "spiting blood". It is slow but working flawlessly.

Nevertheless I miss Lubuntu on this hardware and I think I will wait for a proper fix, since right now I have no time to do testing. But if I find some time I'll try it.

Manuel Dias (meldias369) wrote :

Abut this "- Tried to modify a file (which I cannot recall now) change some settings that said NoShowIn KDE; LXDE by removing the LXDE"

The file was under home directory, hiden, and it is .config/autostart, there you will find a Network.desktop NotShowIn section it includes LXDE just delete it

This did not work for me either

Mikaela Suomalainen (mikaela) wrote :

ALT + F2 and type "lxsession-default-apps" and press enter/return/whatever you call it.

Open the autostart tab and on top there is "Disable autostarted applications?" Set it as no.

Now reboot or log out and back in and everything in ~/.config/autostart should start. If someone knows why "Disable autostarted applications? No." is the default behaviour, please enlighted me about it too.

James (jamestaylr) wrote :

I can confirm this bug on three very different devices running Lubuntu 14.04 (from a recently upgrade, not a fresh install).

I've tried most of the work-arounds on this page (including the most obvious one of trying to start nm-applet), to no avail. On two of the devices, I could live with this bug because the device still auto-connects to known networks, but for one of them, this was not the case.

I was forced to downgrade to 13.10 on that device. I have yet to see a workaround that does the job, so I'm eagerly awaiting a patch for this.

xdya (xdya57) wrote :

So many bugs came with this upgrade that they made me switch to Linux Mint. It's a shame because I love Lubuntu. I had two computers running Lubuntu, on one I could start the nm-applet, on the other one none of the workarounds worked. I can't help any further, I don't have Lubuntu anymore. Unfortunately.

Georg Eckert (eckert-georg) wrote :

Same here,
Workaround:
manually adding @nm-applet to
~/.config/lxsession/Lubuntu/autostart

worked for me.

Brendan Perrine (walterorlin) wrote :

This is also affecting the latest utopic dialy iso for starting one in a virtualbox session.

Tabasc0 (tabasco) wrote :

Hello,

I've made two fresh install on two differents laptops, and I have resolved the issue the same way :

launch lxsession-default-apps, autostart tab
Uncheck and recheck Network
edit ~/.config/autostart/nm-applet.desktop
modify NoShowIn=KDE;LXDE; to NoShowIn=KDE;
close and restart session

Hope it help

Jorge Candela (cegroj) wrote :

In my case, with a fresh 14.04 lubuntu install, I have followed advice froim Tabasc0 (#39) without success.

nm-applet still remains hidden. However it is working since #29 but only in that weird way.

So there is something else which is not working as it was and I have no clue at all.

Franko Burolo (fburolo) wrote :

I am not sure whether this is a lxpanel bug, because whenever I enter in LXsession configuration the Network GUI field is empty, while my ~/.config/lxsession/Lubuntu/desktop.config does show nm-applet under network_gui/command. When I add "nm-applet" in the appropriate field in the Core Applications tab of the LXsession configuration (GUI), and click Reload, it reappears, but log out/in -- it disappears again.

I don't even have a nm-applet.desktop file in ~/.config/autostart, so that one is not causing the problem.

Adding nm-applet to manual autostart starts it, so it is kinda ok... It's only that I guess the it should be able to start normally as a core app, which it doesn't. :-/

Anyway, the connection works on startup, even without the nm-applet icon in the panel... But when I have it on panel, it uses the fallback icon, while the official screenshots on lubuntu.net show a more integrated one, though it is for a wired connection, which I don't use. So I am wondering whether this icon is somehow related to this bug, or they really made a custom icon only for the wired connection... The disconnected one is still fallback on my machine. I thought, maybe when we run nm-applet from terminal, autostart or similar, maybe we are actually running a second instance of it, which could cause it to use the fallback icon theme... But I don't know really.

Marcus (mpvm) wrote :

I just upgrade to Xubuntu 14.04 and am experiencing this problem. Please fix!!

Julien Lavergne (gilir) wrote :

Please note that if you can't start nm-applet manually, or if the ~/.config/autostart workaround doesn't work, your are reporting on the wrong but report. This bug is only for nm-applet not autostarted on Lubuntu.

If you can't start nm-applet manually, please report another bug against nm-applet, unless you have something to prove it's Lubuntu specific.

Fix in progress in https://launchpad.net/~lubuntu-dev/+archive/staging for the lxsession bug, it should also fix bug 1309698

Andrey (waster2008) wrote :

BTW, to temporary fix that and other missing icons in systray (skype,remmina,etc) in my XUbuntu 14.04 kill indicator-application-service and disabled it from autostart (Preferences -> Session and startup -> Automatic startup.

It's estimated to have a moderate impact on a large portion of Ubuntu users.

Changed in lxpanel (Ubuntu):
importance: Undecided → High
Changed in lxpanel (Ubuntu Trusty):
importance: Undecided → High
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → High

I'm on Xubuntu 14.04 and I'm also affected. I tried one thing and it works fine.
If you replace the entire file /etc/xdg/autostart (of the 14.04 version) by the same file but from an older version (12.04), this problem disappears. Until the bug is corrected, it allows us to not type a sudo nm-applet at every boot. More I notice no other malfunction.

siggi (pskraemer) wrote :

what works for me, very simple:
right mouse click on taskbar, select "Panel Einstellungen", select "Panel Erweiterungen", click "Add", select "Netzwerkmonitor" (sorry, German version)
you can shift the app afterwards to the place where you want it to.

Can someone help me find the daily builds for Lubuntu 14.04 64-bit? I used to have this when the bug wasn't present. Also can you tell me how I can know if when this bug is fixed.

Julien Lavergne (gilir) on 2014-06-06
affects: lxpanel (Ubuntu) → lxsession (Ubuntu)
Changed in lxsession (Ubuntu):
status: Confirmed → In Progress
Mathi (mathiraj) wrote :

i see this bug in two of my laptops.

On the first system, which I upgraded from 13.10 -> 14.04, i need to manually startup nm-applet by issueing the command "nm-applet &" on a terminal

On the other system in which i did a fresh install of 14.01, i have to start up nm-applet by the command "dbus-launch nm-applet &"

thanks in advance for fixing this and waiting for the fix...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxsession - 0.4.9.2+git20140410-0ubuntu2

---------------
lxsession (0.4.9.2+git20140410-0ubuntu2) utopic; urgency=medium

  * debian/patches:
   - 90_fix_autostart.patch: Fix autostarting applications from system
     directories (LP: #1308348).
   - 91_fix_color_scheme.patch: Fix color scheme variable (LP: #1316384).
   - 92_enable_network_gui.patch: Register network_gui variable (LP: #1288115).
   - 93_fix_terminal_escape.patch: Fix lxsession-default terminal with folder
     name with spaces (LP: #1314931).
   - 94_fix_generic_app.patch: Fix initialization of GenericSimpleApp
     (LP: #1316832).
  * debian/lxsession.install:
   - Install lxsession-xdg-autostart new excecutable.
 -- Julien Lavergne <email address hidden> Sat, 07 Jun 2014 16:31:46 +0200

Changed in lxsession (Ubuntu):
status: In Progress → Fix Released
Spencer Shaw (spencerjshaw613) wrote :

If it's been fixed, how do i install the patch?

Julien Lavergne (gilir) on 2014-06-08
description: updated
Changed in lxsession (Ubuntu Trusty):
status: Confirmed → New
Julien Lavergne (gilir) wrote :
description: updated

# grandi ... ok, grazie =)

2014-06-07 17:33 GMT+02:00 Launchpad Bug Tracker <<email address hidden>
>:

> This bug was fixed in the package lxsession -
> 0.4.9.2+git20140410-0ubuntu2
>
> ---------------
> lxsession (0.4.9.2+git20140410-0ubuntu2) utopic; urgency=medium
>
> * debian/patches:
> - 90_fix_autostart.patch: Fix autostarting applications from system
> directories (LP: #1308348).
> - 91_fix_color_scheme.patch: Fix color scheme variable (LP: #1316384).
> - 92_enable_network_gui.patch: Register network_gui variable (LP:
> #1288115).
> - 93_fix_terminal_escape.patch: Fix lxsession-default terminal with
> folder
> name with spaces (LP: #1314931).
> - 94_fix_generic_app.patch: Fix initialization of GenericSimpleApp
> (LP: #1316832).
> * debian/lxsession.install:
> - Install lxsession-xdg-autostart new excecutable.
> -- Julien Lavergne <email address hidden> Sat, 07 Jun 2014 16:31:46 +0200
>
> ** Changed in: lxsession (Ubuntu)
> Status: In Progress => Fix Released
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1308703).
> https://bugs.launchpad.net/bugs/1308348
>
> Title:
> network settings indicator missing from panel
>
> Status in One Hundred Papercuts:
> Confirmed
> Status in “lxsession” package in Ubuntu:
> Fix Released
> Status in “lxsession” source package in Trusty:
> Confirmed
>
> Bug description:
> The network settings indicator is missing from the panel.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: lxpanel 0.6.1-0ubuntu3
> ProcVersionSignature: Ubuntu 3.13.0-24.46-powerpc-smp 3.13.9
> Uname: Linux 3.13.0-24-powerpc-smp ppc
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: powerpc
> Config_System_Lubuntu:
> [Command]
> FileManager=lxsession-default filemanager
> Terminal=lxsession-default terminal
> Logout=lxsession-default quit
> CurrentDesktop: LXDE
> Date: Wed Apr 16 09:42:50 2014
> InstallationDate: Installed on 2014-04-16 (0 days ago)
> InstallationMedia: Lubuntu 14.04 LTS "Trusty Tahr" - Release powerpc
> (20140416)
> SourcePackage: lxpanel
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1308348/+subscriptions
>

Changed in lxsession (Ubuntu Trusty):
status: New → Confirmed

Hello Lars, or anyone else affected,

Accepted lxsession into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lxsession/0.4.9.2+git20140410-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lxsession (Ubuntu Trusty):
status: Confirmed → Fix Committed
tags: added: verification-needed
katsu (katsukatsu) wrote :

Condition:Lubuntu 14.04-64bit in virtualbox

--------------------------------------------
Enable trusty-proposed & installed packages.

$ sudo apt list --installed lxsession*
lxsession/trusty-proposed,now 0.4.9.2+git20140410-0ubuntu1.1 amd64 [installed,automatic]
lxsession-data/trusty-proposed,now 0.4.9.2+git20140410-0ubuntu1.1 all [installed,automatic]
lxsession-default-apps/trusty-proposed,now 0.4.9.2+git20140410-0ubuntu1.1 amd64 [installed]
lxsession-logout/trusty-proposed,now 0.4.9.2+git20140410-0ubuntu1.1 amd64 [installed,automatic]

After re-login.
Appear network-applet on panel. --> ok

After reboot & login.
Appear network-applet on panel. --> ok

The bug was corected.
--------------------------------------------

Mörgæs (moergaes) wrote :

While testing the proposed package a crash appeared:

https://bugs.launchpad.net/ubuntu/+source/lxsession/+bug/1333034

Mörgæs (moergaes) wrote :

Regarding #57:

After thorough testing including a reinstall I can't reproduce the error. Closing the other report.

Network applet appears as expected in the panel, so confirming that the fix works. Lubuntu 14.04.

katsu (katsukatsu) wrote :

Should I make it to "Verification-done"?
Is "Verification" continued?

bapoumba (bapoumba) wrote :

lubuntu 14.04. Installed lxsession0.4.9.2 and removed nm-applet from the Prefs > Default Applications for LXSession > Autostart tab, working after a reboot. nm-applet does show in the panel.

apt-cache policy lxsession
lxsession:
  Installed: 0.4.9.2+git20140410-0ubuntu1.1
  Candidate: 0.4.9.2+git20140410-0ubuntu1.1
  Version table:
 *** 0.4.9.2+git20140410-0ubuntu1.1 0
        400 http://archive.ubuntu.com/ubuntu/ trusty-proposed/universe i386 Packages
        100 /var/lib/dpkg/status
     0.4.9.2+git20140410-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe i386 Packages

ConnyLo (webmaster-3457v) wrote :

Lubuntu 14.04.
Tried same procedure like above. Sorry, does not work for me!

apt-cache policy lxsession
Installiert: 0.4.9.2+git20140410-0ubuntu1
  Installationskandidat: 0.4.9.2+git20140410-0ubuntu1
  Versionstabelle:
 *** 0.4.9.2+git20140410-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status
     0.4.9.2+bzr696+201402181202~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/lubuntu-dev/lubuntu-daily/ubuntu/ trusty/main amd64 Packages

Mathew Hodson (mathew-hodson) wrote :

ConnyLo, you have the wrong version installed. You need to enable the -proposed repository.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.

tags: added: verification-done
removed: verification-needed
ConnyLo (webmaster-3457v) wrote :

Mathew, thanks for that hint! Now it works - great!

The verification of the Stable Release Update for lxsession has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxsession - 0.4.9.2+git20140410-0ubuntu1.1

---------------
lxsession (0.4.9.2+git20140410-0ubuntu1.1) trusty-proposed; urgency=medium

  * debian/patches:
   - 90_fix_autostart.patch: Fix autostarting applications from system
     directories (LP: #1308348).
  * debian/lxsession.install:
   - Install lxsession-xdg-autostart new excecutable.
 -- Julien Lavergne <email address hidden> Sat, 07 Jun 2014 16:31:46 +0200

Changed in lxsession (Ubuntu Trusty):
status: Fix Committed → Fix Released
tags: added: patch
Changed in xfce4 (Ubuntu Trusty):
status: New → Confirmed
Changed in xfce4 (Ubuntu):
status: New → Confirmed

Among the programs affected by this bug is the git-annex assistant.
A plain Lubuntu 14.04 install does not start the assistant, breaking actual functionality (the web-based interface can be launched from the menu but even creating a repository does not complete, let alone having it actually watch user files and work on them).

The change mentioned (comment #66), applied as part of automatic updates, fixed it a few days ago: https://launchpad.net/ubuntu/+source/lxsession/0.4.9.2+git20140410-0ubuntu1.1

Thank you all for your participation.

Changed in xfce4 (Ubuntu):
status: Confirmed → Fix Released
Changed in xfce4 (Ubuntu Trusty):
status: Confirmed → Fix Released
Manuel Dias (meldias369) wrote :

Further to comments #24 #32 and #33

Hi, I tried today and the patch fixed it. Everything is working now.

Thank you so much for work.

L@u (laurent-roche) on 2014-07-05
summary: - network settings indicator missing from panel
+ network settings indicator missing from panel .
summary: - network settings indicator missing from panel .
+ network settings indicator missing from panel
Mélodie (meets) wrote :

Hi,

In an Ubuntu Trusty home made with the mini.iso and a full Openbox environment, I also met with a missing nm-applet indicator along with a bug being the wired network working only just after boot, but never coming back when disconnected and reconnected during a X session.

I had also met it in a Live Lubuntu Trusty booted from USB on a eeepc where besides the wireless was working fine (but not the wired connection, when the wireless was used first, and wired added after, even if wireless would be deactivated).

I fixed it in my Openbox branded version by modifying the content of the /etc/network/interfaces as shown here, in that bug report which is said to be a duplicate of here:
https://bugs.launchpad.net/ubuntu/+source/network-manager-applet/+bug/1301158/comments/12

I just switched the interfaces file with the one from my Ubuntu Precise install.

I see in the comments above, it has also been talked about update-notifier : indeed, it does not work start in Trusty with Openbox here either, and I think it should show.

Are there other bug reports elsewhere related to the start of update-notifier? I am going to try to find out.

Mörgæs (moergaes) on 2014-07-06
Changed in hundredpapercuts:
status: Confirmed → Fix Released
Spearmint2 (zyzyxyx) wrote :

Had it happen in Mint 17 MATE. Three users and gave each a separate ethernet static IP address to allow access control of each assigned static IP address at the router level instead of within linux. Shortly after the nm-applet icon failed to appear in panel. I could see the panel jump a bit near where it's supposed to be if nm-applet command was run in terminal, but failed to show it. Some have speculated it's running but just not showing the icon at that point. I got it back by stopping the networking, but then after starting again, I had to reset that current user's ethernet connection, again.

sudo service network-manager stop; sudo service network-manager start;

Andis (andis-lazdins) wrote :

I have the same problem with fresh upgrades from Ubuntu 12.04 to 14.04 with Mate 1.8. nm-applet is not appearing at the beginning, it can be called by nm-applet command, but it regularly crashes and should be restarted again.

Martin Jørgensen (martinjo84) wrote :

I am effected by this bug after a upgrade on Ubuntu 14.04 on a Lenovo Thinkpad, this happen more the one time on this machine.
I had to reinstall every time.

I cant even start nm-applet from terminal

nm-applet-Message: using fallback from indicator to GtkStatusIcon <-- and nothing happen

Walter Lapchynski (wxl) wrote :

@martinjo84 and anyone else having problems with this fix, please provide the version of lxsession you're using. `apt-cache policy lxsession` should do the trick. if you have anything less than 0.4.9.2+git20140410-0ubuntu1.1, make sure to enable the proposed repo and re-update/upgrade.

Spearmint2 (zyzyxyx) wrote :

This worked for me. By entering my username in the same manner root was entered in these files, and also adding my user to netdev, I have had no further problems.

https://awesome.naquadah.org/wiki/Nm-applet

Martin Jørgensen (martinjo84) wrote :

As posted im am using Plain Unity, not Lxde :) Spearmint2 i will read up on your fix :)

Alberto Jovito (thedemon007) wrote :

I update Xubuntu 12.04 to trusty and network settings indicator missing. I add again:
https://bugs.launchpad.net/ubuntu/+source/xfce4-panel/+bug/1302462/comments/16

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers